module.exports = function(modules) {
    var installedModules = {};
    function __webpack_require__(moduleId) {
        if (installedModules[moduleId]) {
            return installedModules[moduleId].exports;
        }
        var module = installedModules[moduleId] = {
            i: moduleId,
            l: false,
            exports: {}
        };
        modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
        module.l = true;
        return module.exports;
    }
    __webpack_require__.m = modules;
    __webpack_require__.c = installedModules;
    __webpack_require__.i = function(value) {
        return value;
    };
    __webpack_require__.d = function(exports, name, getter) {
        if (!__webpack_require__.o(exports, name)) {
            Object.defineProperty(exports, name, {
                configurable: false,
                enumerable: true,
                get: getter
            });
        }
    };
    __webpack_require__.n = function(module) {
        var getter = module && module.__esModule ? function getDefault() {
            return module["default"];
        } : function getModuleExports() {
            return module;
        };
        __webpack_require__.d(getter, "a", getter);
        return getter;
    };
    __webpack_require__.o = function(object, property) {
        return Object.prototype.hasOwnProperty.call(object, property);
    };
    __webpack_require__.p = "";
    return __webpack_require__(__webpack_require__.s = 9);
}([ function(module, exports) {
    module.exports = require("lodash");
}, function(module, exports) {
    module.exports = require("debug");
}, function(module, exports) {
    module.exports = require("fs-extra");
}, function(module, exports) {
    module.exports = require("path");
}, function(module, exports, __webpack_require__) {
    "use strict";
    module.exports = "exports['EXPORT_NAME'] = function FUNCTION_NAME(event, context, callback) {\n  try {\n    return iopipe((evt, ctx, cb) => {\n      return require('../RELATIVE_PATH').METHOD(evt, ctx, cb);\n    })(event, context, callback);\n  } catch (err) {\n    throw err;\n  }\n};\n";
}, function(module, exports, __webpack_require__) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.default = function() {
        var startTime = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : process.hrtime();
        var suffix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
        var endTime = process.hrtime(startTime);
        var millis = _lodash2.default.round(endTime[0] * 1e3 + endTime[1] / 1e6);
        return suffix ? `${millis}ms` : millis;
    };
    var _lodash = __webpack_require__(0);
    var _lodash2 = _interopRequireDefault(_lodash);
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
}, function(module, exports, __webpack_require__) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.getVisitor = getVisitor;
    exports.track = track;
    var _path = __webpack_require__(3);
    var _crypto = __webpack_require__(10);
    var _universalAnalytics = __webpack_require__(11);
    var _universalAnalytics2 = _interopRequireDefault(_universalAnalytics);
    var _fsExtra = __webpack_require__(2);
    var _fsExtra2 = _interopRequireDefault(_fsExtra);
    var _lodash = __webpack_require__(0);
    var _lodash2 = _interopRequireDefault(_lodash);
    var _uuid = __webpack_require__(12);
    var _uuid2 = _interopRequireDefault(_uuid);
    var _debug = __webpack_require__(1);
    var _debug2 = _interopRequireDefault(_debug);
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
    var debug = (0, _debug2.default)("serverless-plugin-iopipe:track");
    function getVisitor(pluginInstance) {
        var pkg = {};
        if (!pluginInstance.getOptions().noStats) {
            try {
                pkg = _fsExtra2.default.readJsonSync((0, _path.join)(pluginInstance.prefix, "package.json"));
            } catch (err) {
                _lodash2.default.noop();
            }
        }
        var str = pkg.author || _lodash2.default.get(pkg, "repository.url") || pkg.name || pkg.homepage || _uuid2.default.v4();
        var userId = (0, _crypto.createHash)("md5").update(str).digest("hex");
        var visitor = (0, _universalAnalytics2.default)("UA-73165042-2", userId, {
            strictCidFormat: false,
            https: true
        });
        return visitor;
    }
    function track(pluginInstance) {
        var obj = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var visitor = pluginInstance.visitor;
        if (!visitor) {
            return Promise.resolve("no-visitor");
        }
        if (pluginInstance.getOptions().noStats) {
            return Promise.resolve("no-stats");
        }
        var _obj$category = obj.category, category = _obj$category === undefined ? "event" : _obj$category, _obj$action = obj.action, action = _obj$action === undefined ? "action" : _obj$action, _obj$label = obj.label, label = _obj$label === undefined ? "label" : _obj$label, value = obj.value;
        var newLabel = _lodash2.default.isString(label) ? label : JSON.stringify(label);
        debug(`Tracking ${category}: ${action}`);
        return new Promise(function(resolve, reject) {
            visitor.event(category, action, newLabel, value, function(err, res) {
                return err ? reject(err) : resolve(res);
            });
        });
    }
}, function(module, exports) {
    module.exports = require("child_process");
}, function(module, exports) {
    module.exports = require("cosmiconfig");
}, function(module, exports, __webpack_require__) {
    "use strict";
    var _createClass = function() {
        function defineProperties(target, props) {
            for (var i = 0; i < props.length; i++) {
                var descriptor = props[i];
                descriptor.enumerable = descriptor.enumerable || false;
                descriptor.configurable = true;
                if ("value" in descriptor) descriptor.writable = true;
                Object.defineProperty(target, descriptor.key, descriptor);
            }
        }
        return function(Constructor, protoProps, staticProps) {
            if (protoProps) defineProperties(Constructor.prototype, protoProps);
            if (staticProps) defineProperties(Constructor, staticProps);
            return Constructor;
        };
    }();
    var _slicedToArray = function() {
        function sliceIterator(arr, i) {
            var _arr = [];
            var _n = true;
            var _d = false;
            var _e = undefined;
            try {
                for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
                    _arr.push(_s.value);
                    if (i && _arr.length === i) break;
                }
            } catch (err) {
                _d = true;
                _e = err;
            } finally {
                try {
                    if (!_n && _i["return"]) _i["return"]();
                } finally {
                    if (_d) throw _e;
                }
            }
            return _arr;
        }
        return function(arr, i) {
            if (Array.isArray(arr)) {
                return arr;
            } else if (Symbol.iterator in Object(arr)) {
                return sliceIterator(arr, i);
            } else {
                throw new TypeError("Invalid attempt to destructure non-iterable instance");
            }
        };
    }();
    var _child_process = __webpack_require__(7);
    var _path = __webpack_require__(3);
    var _lodash = __webpack_require__(0);
    var _lodash2 = _interopRequireDefault(_lodash);
    var _fsExtra = __webpack_require__(2);
    var _fsExtra2 = _interopRequireDefault(_fsExtra);
    var _debug = __webpack_require__(1);
    var _debug2 = _interopRequireDefault(_debug);
    var _cosmiconfig = __webpack_require__(8);
    var _cosmiconfig2 = _interopRequireDefault(_cosmiconfig);
    var _track2 = __webpack_require__(6);
    var _hrMillis = __webpack_require__(5);
    var _hrMillis2 = _interopRequireDefault(_hrMillis);
    var _handlerCode = __webpack_require__(4);
    var _handlerCode2 = _interopRequireDefault(_handlerCode);
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
    function _asyncToGenerator(fn) {
        return function() {
            var gen = fn.apply(this, arguments);
            return new Promise(function(resolve, reject) {
                function step(key, arg) {
                    try {
                        var info = gen[key](arg);
                        var value = info.value;
                    } catch (error) {
                        reject(error);
                        return;
                    }
                    if (info.done) {
                        resolve(value);
                    } else {
                        return Promise.resolve(value).then(function(value) {
                            step("next", value);
                        }, function(err) {
                            step("throw", err);
                        });
                    }
                }
                return step("next");
            });
        };
    }
    function _classCallCheck(instance, Constructor) {
        if (!(instance instanceof Constructor)) {
            throw new TypeError("Cannot call a class as a function");
        }
    }
    function createDebugger(suffix) {
        return (0, _debug2.default)(`serverless-plugin-iopipe:${suffix}`);
    }
    function outputHandlerCode() {
        var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var name = obj.name, relativePath = obj.relativePath, method = obj.method;
        var fnName = _lodash2.default.camelCase(`attempt-${name}`);
        return _handlerCode2.default.replace(/EXPORT_NAME/g, name).replace(/FUNCTION_NAME/g, fnName).replace(/RELATIVE_PATH/g, relativePath).replace(/METHOD/g, method);
    }
    function getExitCode(stdout) {
        return _lodash2.default.chain(stdout).defaultTo("").split("\n").compact().last().value();
    }
    function getUpgradeVersion(_ref) {
        var packageManager = _ref.packageManager, suppliedTargetVersion = _ref.suppliedTargetVersion, debug = _ref.debug, installed = _ref.installed, _ref$preCmd = _ref.preCmd, preCmd = _ref$preCmd === undefined ? "" : _ref$preCmd;
        return new Promise(function(resolve, reject) {
            (0, _child_process.exec)(`${preCmd}${preCmd && " && "}${packageManager} outdated ${installed} && echo $?`, function(err) {
                var stdout = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
                var stderr = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "";
                _lodash2.default.noop(err);
                var stdoutLines = _lodash2.default.chain(stdout).split("\n").map(function(s) {
                    return _lodash2.default.trim(s);
                }).value();
                var publishedVersions = _lodash2.default.chain(stdoutLines).find(function() {
                    var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "";
                    return str.match(installed);
                }).split(" ").compact().slice(1, 4).value();
                var _publishedVersions = _slicedToArray(publishedVersions, 3), current = _publishedVersions[0], wanted = _publishedVersions[1], latest = _publishedVersions[2];
                var version = suppliedTargetVersion || current !== latest && latest.match(/^1\./) && latest || wanted;
                debug(`From ${packageManager} outdated command: `, stdoutLines);
                if (version) {
                    return resolve(version);
                } else if (getExitCode(stdout) === "0") {
                    return resolve(true);
                }
                return reject(stderr);
            });
        });
    }
    function runUpgrade(pluginInstance, packageManager, version, preCmd, debug) {
        return new Promise(function(resolve, reject) {
            debug(`Attempting to upgrade to ${version}`);
            _fsExtra2.default.writeFileSync((0, _path.join)(pluginInstance.prefix, "package.json"), JSON.stringify(pluginInstance.package, null, "  "));
            debug(`Executing ${packageManager} install`);
            return (0, _child_process.exec)(`${preCmd} && ${packageManager} install && echo $?`, function(err) {
                var stdout = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
                var stderr = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "";
                if (err) {
                    return reject(err);
                }
                return getExitCode(stdout) === "0" ? resolve(true) : reject(stderr);
            });
        });
    }
    var ServerlessIOpipePlugin = function() {
        function ServerlessIOpipePlugin() {
            var sls = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
            var opts = arguments[1];
            _classCallCheck(this, ServerlessIOpipePlugin);
            this.sls = sls;
            this.prefix = opts.prefix || this.sls.config.servicePath || process.env.npm_config_prefix;
            this.visitor = (0, _track2.getVisitor)(this);
            this.package = {};
            this.funcs = [];
            this.originalServicePath = this.sls.config.servicePath;
            this.commands = {
                iopipe: {
                    usage: "Automatically wraps your function handlers in IOpipe, so you don't have to.",
                    lifecycleEvents: [ "run", "clean" ],
                    commands: {
                        clean: {
                            usage: "Cleans up extra IOpipe files if necessary",
                            lifecycleEvents: [ "init" ]
                        }
                    }
                }
            };
            this.hooks = {
                "iopipe:run": this.greeting.bind(this),
                "before:package:createDeploymentArtifacts": this.run.bind(this),
                "before:invoke:local:invoke": this.run.bind(this),
                "before:offline:start:init": this.run.bind(this),
                "before:step-functions-offline:start": this.run.bind(this),
                "after:package:createDeploymentArtifacts": this.finish.bind(this),
                "after:invoke:local:invoke": this.finish.bind(this),
                "iopipe:clean:init": this.finish.bind(this)
            };
        }
        _createClass(ServerlessIOpipePlugin, [ {
            key: "getOptions",
            value: function getOptions() {
                var obj = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.options;
                this.options = _lodash2.default.chain(obj).defaults(this.options).defaults({
                    quote: "single",
                    handlerDir: "iopipe_handlers"
                }).mapKeys(function(val, key) {
                    return _lodash2.default.camelCase(key);
                }).value();
                return this.options;
            }
        }, {
            key: "getInstalledPackageName",
            value: function getInstalledPackageName() {
                var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.package, dependencies = _ref2.dependencies;
                return [ "@iopipe/iopipe", "@iopipe/core", "iopipe" ].find(function(s) {
                    return _lodash2.default.keys(dependencies).find(function(n) {
                        return n === s;
                    });
                });
            }
        }, {
            key: "log",
            value: function log(arg1) {
                var logger = this.sls.cli.log || console.log;
                for (var _len = arguments.length, rest = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
                    rest[_key - 1] = arguments[_key];
                }
                logger.call.apply(logger, [ this.sls.cli, `serverless-plugin-iopipe: ${arg1}` ].concat(rest));
            }
        }, {
            key: "track",
            value: function track(kwargs) {
                return (0, _track2.track)(this, kwargs);
            }
        }, {
            key: "greeting",
            value: function greeting() {
                this.log("Welcome to the IOpipe Serverless plugin. You can use this plugin for sls invoke local or sls deploy. Make sure you have the $IOPIPE_TOKEN environment variable set documented here: https://github.com/iopipe/serverless-plugin-iopipe#install.");
            }
        }, {
            key: "run",
            value: function() {
                var _ref3 = _asyncToGenerator(function*() {
                    var start = process.hrtime();
                    this.setOptions({});
                    this.track({
                        action: "run-start"
                    });
                    this.log("Wrapping your functions with IO|...");
                    this.setPackage();
                    this.checkForLib();
                    this.checkToken();
                    yield this.upgradeLib();
                    this.getFuncs();
                    this.createFiles();
                    this.assignHandlers();
                    this.track({
                        action: "run-finish",
                        value: (0, _hrMillis2.default)(start)
                    });
                });
                return function run() {
                    return _ref3.apply(this, arguments);
                };
            }()
        }, {
            key: "setPackage",
            value: function setPackage() {
                try {
                    this.package = _fsExtra2.default.readJsonSync((0, _path.join)(this.prefix, "package.json"));
                } catch (err) {
                    this.package = {};
                }
            }
        }, {
            key: "setOptions",
            value: function setOptions(opts) {
                var debug = createDebugger("setOptions");
                var custom = _lodash2.default.chain(this.sls).get("service.custom").pickBy(function(val, key) {
                    return key.match(/^iopipe/);
                }).mapKeys(function(val, key) {
                    return _lodash2.default.camelCase(key.replace(/^iopipe/, ""));
                }).mapValues(function(val, key) {
                    if (key === "exclude" && _lodash2.default.isString(val)) {
                        return val.split(",");
                    }
                    return val;
                }).value();
                var envVars = _lodash2.default.chain(process.env).pickBy(function(val, key) {
                    return key.match(/^IOPIPE/);
                }).mapKeys(function(val, key) {
                    return _lodash2.default.camelCase(key.replace(/^IOPIPE/, ""));
                }).value();
                var val = _lodash2.default.defaults(opts, custom, envVars);
                debug("Options object:", val);
                this.track({
                    action: "options-set",
                    value: val
                });
                this.getOptions(val);
            }
        }, {
            key: "checkForLib",
            value: function checkForLib() {
                var pack = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.package;
                var installed = this.getInstalledPackageName(pack);
                if (_lodash2.default.isEmpty(pack) || !_lodash2.default.isPlainObject(pack)) {
                    this.track({
                        action: "no-package-skip-lib-check"
                    });
                    this.log("No package.json found, skipping lib check.");
                    return "no-package-skip";
                } else if (_lodash2.default.isPlainObject(pack) && !installed) {
                    if (this.getOptions().noVerify) {
                        this.log("Skipping iopipe module installation check.");
                        return "no-verify-skip";
                    }
                    this.track({
                        action: "lib-not-found"
                    });
                    throw new Error("IOpipe module not found in package.json. Make sure to install it via npm or yarn, or use the --noVerify option for serverless-plugin-iopipe.");
                }
                return true;
            }
        }, {
            key: "checkToken",
            value: function checkToken() {
                var token = this.getOptions().token;
                if (!token) {
                    var msg = "You did not specify iopipeToken in your custom section of serverless.yml. iopipe will fall back to $IOPIPE_TOKEN in the lambda environment";
                    this.log(msg);
                    return msg;
                }
                return true;
            }
        }, {
            key: "upgradeLib",
            value: function() {
                var _ref4 = _asyncToGenerator(function*(suppliedTargetVersion) {
                    var preCmd = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "echo Installing.";
                    if (this.getOptions().noUpgrade) {
                        return "no-upgrade";
                    }
                    var debug = createDebugger("upgrade");
                    var files = _fsExtra2.default.readdirSync(this.prefix);
                    var useYarn = _lodash2.default.includes(files, "yarn.lock");
                    var packageManager = useYarn ? "yarn" : "npm";
                    debug(`Using pkg manager: ${packageManager}`);
                    this.track({
                        action: "lib-upgrade",
                        label: packageManager
                    });
                    var version = void 0;
                    var installed = this.getInstalledPackageName();
                    try {
                        version = yield getUpgradeVersion({
                            packageManager: packageManager,
                            suppliedTargetVersion: suppliedTargetVersion,
                            debug: debug,
                            installed: installed,
                            preCmd: preCmd
                        });
                        if (version === true) {
                            this.log("You have the latest IOpipe library. Nice work!");
                            return `success-no-upgrade-${packageManager}`;
                        }
                    } catch (err) {
                        this.log("Could not finish upgrading IOpipe automatically.");
                        debug(`Err from ${packageManager} outdated:`, err);
                        this.track({
                            action: `${packageManager}-outdated-error`,
                            value: err
                        });
                        return `${packageManager}-outdated-error`;
                    }
                    try {
                        this.package.dependencies[installed] = version;
                        yield runUpgrade(this, packageManager, version, preCmd, debug);
                    } catch (err) {
                        this.log(err);
                        this.track({
                            action: "lib-upgrade-error",
                            value: err
                        });
                        return `err-install-${packageManager}`;
                    }
                    this.track({
                        action: "lib-upgrade-success",
                        value: true
                    });
                    this.log(`Upgraded ${installed} to ${version} automatically. 💪`);
                    return `success-upgrade-${packageManager}-${version}`;
                });
                return function upgradeLib() {
                    return _ref4.apply(this, arguments);
                };
            }()
        }, {
            key: "getFuncs",
            value: function getFuncs() {
                var _this = this;
                try {
                    var servicePath = this.sls.config.servicePath;
                    this.funcs = _lodash2.default.chain(this.sls.service.functions).omit(this.getOptions().exclude).toPairs().reject(function(arr) {
                        var key = arr[0];
                        var obj = arr[1];
                        if (_lodash2.default.isString(obj.runtime) && !obj.runtime.match("node")) {
                            _this.log(`Function "${key}" is not Node.js. Currently the plugin only supports Node.js functions. Skipping ${key}.`);
                            return true;
                        }
                        return false;
                    }).map(function(arr) {
                        var _arr2 = _slicedToArray(arr, 2), key = _arr2[0], obj = _arr2[1];
                        var handlerArr = _lodash2.default.isString(obj.handler) ? obj.handler.split(".") : [];
                        var relativePath = handlerArr.slice(0, -1).join(".");
                        var path = `${servicePath}/${relativePath}.js`;
                        return _lodash2.default.assign({}, obj, {
                            method: _lodash2.default.last(handlerArr),
                            path: path,
                            name: key,
                            relativePath: relativePath,
                            file: _lodash2.default.last((handlerArr.slice(-2, -1)[0] || "").split("/"))
                        });
                    }).value();
                    this.track({
                        action: "funcs-count",
                        value: this.funcs.length
                    });
                } catch (err) {
                    this.track({
                        action: "get-funcs-fail",
                        value: err
                    });
                    console.error("Failed to read functions from serverless.yml.");
                    throw new Error(err);
                }
            }
        }, {
            key: "getConfigFromCosmi",
            value: function getConfigFromCosmi() {
                var _getOptions = this.getOptions(), token = _getOptions.token;
                var _ref5 = (0, _cosmiconfig2.default)("iopipe", {
                    cache: false,
                    sync: true,
                    rcExtensions: true
                }).load(process.cwd()) || {}, _ref5$config = _ref5.config, cosmi = _ref5$config === undefined ? {} : _ref5$config;
                var requireLines = _lodash2.default.chain(cosmi.plugins).map(function(p) {
                    return `require('${p}');\n`;
                }).join("").defaultTo("").value();
                var inlineConfigObject = _lodash2.default.pickBy(_lodash2.default.assign({}, cosmi, {
                    token: token
                }));
                var inlineConfig = _lodash2.default.isEmpty(inlineConfigObject) ? "" : JSON.stringify(inlineConfigObject);
                return {
                    requireLines: requireLines,
                    inlineConfig: inlineConfig
                };
            }
        }, {
            key: "createFiles",
            value: function createFiles() {
                var _this2 = this;
                var debug = createDebugger("createFiles");
                debug("Creating file");
                var _getConfigFromCosmi = this.getConfigFromCosmi(), inlineConfig = _getConfigFromCosmi.inlineConfig, requireLines = _getConfigFromCosmi.requireLines;
                var _getOptions2 = this.getOptions(), handlerDir = _getOptions2.handlerDir;
                var iopipeInclude = `${requireLines}const iopipe = require('${this.getInstalledPackageName()}')(${inlineConfig});`;
                this.funcs.forEach(function(func, index) {
                    var handler = outputHandlerCode(func);
                    var contents = `${iopipeInclude}\n\n${handler}`;
                    _fsExtra2.default.ensureDirSync((0, _path.join)(_this2.originalServicePath, handlerDir));
                    _fsExtra2.default.writeFileSync((0, _path.join)(_this2.originalServicePath, (0, 
                    _path.join)(handlerDir, `${func.name}-${index}-iopipe.js`)), contents);
                });
            }
        }, {
            key: "assignHandlers",
            value: function assignHandlers() {
                var _this3 = this;
                var debug = createDebugger("assignHandlers");
                debug("Assigning iopipe handlers to sls service");
                var _getOptions3 = this.getOptions(), handlerDir = _getOptions3.handlerDir;
                this.funcs.forEach(function(obj, index) {
                    _lodash2.default.set(_this3.sls.service.functions, `${obj.name}.handler`, (0, _path.join)(handlerDir, `${obj.name}-${index}-iopipe.${obj.name}`));
                });
            }
        }, {
            key: "finish",
            value: function finish() {
                var debug = createDebugger("finish");
                this.log("Cleaning up extraneous IOpipe files");
                debug(`Removing ${this.handlerFileName}.js`);
                var _getOptions4 = this.getOptions(), _getOptions4$handlerD = _getOptions4.handlerDir, handlerDir = _getOptions4$handlerD === undefined ? "iopipe_handlers" : _getOptions4$handlerD;
                _fsExtra2.default.removeSync((0, _path.join)(this.originalServicePath, handlerDir));
                this.track({
                    action: "finish"
                }).then(_lodash2.default.noop).catch(debug);
            }
        } ]);
        return ServerlessIOpipePlugin;
    }();
    module.exports = ServerlessIOpipePlugin;
}, function(module, exports) {
    module.exports = require("crypto");
}, function(module, exports) {
    module.exports = require("universal-analytics");
}, function(module, exports) {
    module.exports = require("uuid");
} ]);